• ENTRAR
  • No hay productos en el carrito.

Error al ejecutar ng serve

Viendo 2 publicaciones - del 1 al 2 (de un total de 2)
  • Autor
    Publicaciones
  • #15375

    Ariel Gonzalo Rama
    Participante

    El primer error fue este :

    92% after chunk asset optimization SourceMapDevToolPlugin vendor.js generate SourceMapERROR in node_modules/angularfire2/firebase.app.module.d.ts(2,42): error TS2305: Module ‘”/media/erama/ae7f5e37-ae27-47c5-8f5f-654d01521f82/home/erama/Sitios/tienda/node_modules/firebase/app/index”‘ has no exported member ‘functions’.
    node_modules/angularfire2/firestore/interfaces.d.ts(7,49): error TS2694: Namespace ‘firebase.firestore’ has no exported member ‘SnapshotOptions’.
    node_modules/angularfire2/firestore/interfaces.d.ts(22,61): error TS2694: Namespace ‘firebase.firestore’ has no exported member ‘QueryDocumentSnapshot’.
    node_modules/angularfire2/firestore/interfaces.d.ts(25,18): error TS2430: Interface ‘QuerySnapshot’ incorrectly extends interface ‘QuerySnapshot’.
    Types of property ‘docs’ are incompatible.
    Type ‘QueryDocumentSnapshot[]’ is not assignable to type ‘DocumentSnapshot[]’.
    Type ‘QueryDocumentSnapshot’ is not assignable to type ‘DocumentSnapshot’.
    Property ‘exists’ is missing in type ‘QueryDocumentSnapshot’.
    node_modules/angularfire2/firestore/interfaces.d.ts(28,18): error TS2430: Interface ‘DocumentChange’ incorrectly extends interface ‘DocumentChange’.
    Types of property ‘doc’ are incompatible.
    Type ‘QueryDocumentSnapshot’ is not assignable to type ‘DocumentSnapshot’.
    Property ‘exists’ is missing in type ‘QueryDocumentSnapshot’.

    luego probé de actualizar a firebase 5.0.4 y se generó este error:

    ng serve
    ** Angular Live Development Server is listening on localhost:4200, open your browser on http://localhost:4200/ **

    Date: 2018-05-25T14:45:36.587Z
    Hash: a470bdaed91d2c5e1f15
    Time: 4446ms
    chunk {main} main.js, main.js.map (main) 2 kB [initial] [rendered]
    chunk {polyfills} polyfills.js, polyfills.js.map (polyfills) 720 bytes [initial] [rendered]
    chunk {runtime} runtime.js, runtime.js.map (runtime) 5.22 kB [entry] [rendered]
    chunk {styles} styles.js, styles.js.map (styles) 73.7 kB [initial] [rendered]
    chunk {vendor} vendor.js, vendor.js.map (vendor) 325 kB [initial] [rendered]

    ERROR in node_modules/angularfire2/angularfire2.d.ts(3,10): error TS2305: Module ‘”/media/erama/ae7f5e37-ae27-47c5-8f5f-654d01521f82/home/erama/Sitios/tienda/node_modules/rxjs/Subscription”‘ has no exported member ‘Subscription’.
    node_modules/angularfire2/firestore/collection/changes.d.ts(3,10): error TS2305: Module ‘”/media/erama/ae7f5e37-ae27-47c5-8f5f-654d01521f82/home/erama/Sitios/tienda/node_modules/rxjs/Observable”‘ has no exported member ‘Observable’.
    node_modules/angularfire2/firestore/collection/collection.d.ts(3,10): error TS2305: Module ‘”/media/erama/ae7f5e37-ae27-47c5-8f5f-654d01521f82/home/erama/Sitios/tienda/node_modules/rxjs/Observable”‘ has no exported member ‘Observable’.
    node_modules/angularfire2/firestore/document/document.d.ts(3,10): error TS2305: Module ‘”/media/erama/ae7f5e37-ae27-47c5-8f5f-654d01521f82/home/erama/Sitios/tienda/node_modules/rxjs/Observable”‘ has no exported member ‘Observable’.
    node_modules/angularfire2/firestore/firestore.d.ts(3,10): error TS2305: Module ‘”/media/erama/ae7f5e37-ae27-47c5-8f5f-654d01521f82/home/erama/Sitios/tienda/node_modules/rxjs/Observable”‘ has no exported member ‘Observable’.
    node_modules/angularfire2/firestore/interfaces.d.ts(1,10): error TS2305: Module ‘”/media/erama/ae7f5e37-ae27-47c5-8f5f-654d01521f82/home/erama/Sitios/tienda/node_modules/rxjs/Subscriber”‘ has no exported member ‘Subscriber’.
    node_modules/angularfire2/firestore/observable/fromRef.d.ts(2,10): error TS2305: Module ‘”/media/erama/ae7f5e37-ae27-47c5-8f5f-654d01521f82/home/erama/Sitios/tienda/node_modules/rxjs/Observable”‘ has no exported member ‘Observable’.
    node_modules/rxjs/Observable.d.ts(1,15): error TS2307: Cannot find module ‘rxjs-compat/Observable’.
    node_modules/rxjs/Subscriber.d.ts(1,15): error TS2307: Cannot find module ‘rxjs-compat/Subscriber’.
    node_modules/rxjs/Subscription.d.ts(1,15): error TS2307: Cannot find module ‘rxjs-compat/Subscription’.

    mi package.json es así:

     

     

    #15376

    Ariel Gonzalo Rama
    Participante

    Ahí lo puede solucionarlo. Lo que hice fue comenzar de cero, y cuando instalé firebase usé:

    npm i firebase

    en lugar de firebase@4.8.0

    ¿Cómo podría haberlo solucionar sin tener que comenzar de cero?

    Saludos!

Viendo 2 publicaciones - del 1 al 2 (de un total de 2)

Debes estar registrado para responder a este debate.

Síguenos en las redes sociales para estar al tanto de los últimas novedades :)

Facebook
Facebook
Google+
Google+
https://www.cursosdesarrolloweb.es/forums/topic/error-al-ejecutar-ng-serve">
Pinterest
Pinterest
top
Cursosdesarrolloweb ©. Todos los derechos reservados.
🔓Inscríbete a cualquier curso por 9€ y accede a todos los cursos gratuitos para siempre🔓
🌍Los cursos gratuitos son exclusivos de esta plataforma, ÚLTIMOS CURSOS EN 4K🌍
+ +

Login

Create an Account Back to login/register